Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.services
Class ATestGrammarAccess.ModelElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.testing.services.ATestGrammarAccess.ModelElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ATestGrammarAccess

    public class ATestGrammarAccess.ModelElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ATestGrammarAccess.ModelElements()`

Method Summary
`org.eclipse.xtext.Alternatives` | `getAlternatives_3()`
`org.eclipse.xtext.Assignment` | `getContainsAssignment_3_1_1()`
`org.eclipse.xtext.Keyword` | `getContainsKeyword_3_1_0()`
`org.eclipse.xtext.RuleCall` | `getContainsTestMemberParserRuleCall_3_1_1_0()`
`org.eclipse.xtext.Assignment` | `getContraintsAssignment_3_0_1()`
`org.eclipse.xtext.RuleCall` | `getContraintsConstraintParserRuleCall_3_0_1_0()`
`org.eclipse.xtext.Assignment` | `getDescriptionAssignment_2()`
`org.eclipse.xtext.RuleCall` | `getDescriptionDESC_STRINGTerminalRuleCall_2_0()`
`org.eclipse.xtext.Group` | `getGroup_3_0_0()`
`org.eclipse.xtext.Group` | `getGroup_3_0()`
`org.eclipse.xtext.Group` | `getGroup_3_1()`
`org.eclipse.xtext.Group` | `getGroup()`
`org.eclipse.xtext.Action` | `getModelAction_0()`
`org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
`org.eclipse.xtext.RuleCall` | `getNameSTRINGTerminalRuleCall_1_0()`
`org.eclipse.xtext.ParserRule` | `getRule()`
`org.eclipse.xtext.Assignment` | `getTestsAssignment_3_0_0_1()`
`org.eclipse.xtext.Keyword` | `getTestsKeyword_3_0_0_0()`
`org.eclipse.xtext.RuleCall` | `getTestsTestsParserRuleCall_3_0_0_1_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestGrammarAccess.ModelElements

    public ATestGrammarAccess.ModelElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getModelAction_0

    public org.eclipse.xtext.Action getModelAction_0()

### getNameAssignment_1

    public org.eclipse.xtext.Assignment getNameAssignment_1()

### getNameSTRINGTerminalRuleCall_1_0

    public org.eclipse.xtext.RuleCall getNameSTRINGTerminalRuleCall_1_0()

### getDescriptionAssignment_2

    public org.eclipse.xtext.Assignment getDescriptionAssignment_2()

### getDescriptionDESC_STRINGTerminalRuleCall_2_0

    public org.eclipse.xtext.RuleCall getDescriptionDESC_STRINGTerminalRuleCall_2_0()

### getAlternatives_3

    public org.eclipse.xtext.Alternatives getAlternatives_3()

### getGroup_3_0

    public org.eclipse.xtext.Group getGroup_3_0()

### getGroup_3_0_0

    public org.eclipse.xtext.Group getGroup_3_0_0()

### getTestsKeyword_3_0_0_0

    public org.eclipse.xtext.Keyword getTestsKeyword_3_0_0_0()

### getTestsAssignment_3_0_0_1

    public org.eclipse.xtext.Assignment getTestsAssignment_3_0_0_1()

### getTestsTestsParserRuleCall_3_0_0_1_0

    public org.eclipse.xtext.RuleCall getTestsTestsParserRuleCall_3_0_0_1_0()

### getContraintsAssignment_3_0_1

    public org.eclipse.xtext.Assignment getContraintsAssignment_3_0_1()

### getContraintsConstraintParserRuleCall_3_0_1_0

    public org.eclipse.xtext.RuleCall getContraintsConstraintParserRuleCall_3_0_1_0()

### getGroup_3_1

    public org.eclipse.xtext.Group getGroup_3_1()

### getContainsKeyword_3_1_0

    public org.eclipse.xtext.Keyword getContainsKeyword_3_1_0()

### getContainsAssignment_3_1_1

    public org.eclipse.xtext.Assignment getContainsAssignment_3_1_1()

### getContainsTestMemberParserRuleCall_3_1_1_0

    public org.eclipse.xtext.RuleCall getContainsTestMemberParserRuleCall_3_1_1_0()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD